using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace YBEE.EQM.Core;

/// <summary>
/// 学制
/// </summary>
[Comment("学制")]
[Table("base_education_stage_years")]
public class EducationStageYears : DEntityBase<short>
{
    /// <summary>
    /// 学段
    /// </summary>
    [Comment("学段")]
    [Required]
    public EducationStage EducationStage { get; set; }
    /// <summary>
    /// 学制（共几年）
    /// </summary>
    [Comment("学制（共几年）")]
    [Required]
    public short EducationYears { get; set; }
    /// <summary>
    /// 代码前缀字母
    /// </summary>
    [Comment("代码前缀字母")]
    [Required, Column(TypeName = "char(1)")]
    public string UniqueCodePrefixChar { get; set; }
}
